Package com.io7m.idstore.server.service.configuration.jaxb

# Class ObjectFactory

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.io7m.idstore.server.service.configuration.jaxb package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.io7m.idstore.server.service.configuration.jaxb

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createBodyColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createBorderColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `Branding`
  `createBranding()`
  Create an instance of `Branding`
  `ButtonColors`
  `createButtonColors()`
  Create an instance of `ButtonColors`
  `ButtonStateColors`
  `createButtonStateColors()`
  Create an instance of `ButtonStateColors`
  `ColorScheme`
  `createColorScheme()`
  Create an instance of `ColorScheme`
  `ColorType`
  `createColorType()`
  Create an instance of `ColorType`
  `Configuration`
  `createConfiguration()`
  Create an instance of `Configuration`
  `Database`
  `createDatabase()`
  Create an instance of `Database`
  `DatabaseOwner`
  `createDatabaseOwner()`
  Create an instance of `DatabaseOwner`
  `DatabaseUser`
  `createDatabaseUser()`
  Create an instance of `DatabaseUser`
  `jakarta.xml.bind.JAXBElement<ButtonStateColors>`
  `createDisabled(ButtonStateColors value)`
  Create an instance of `JAXBElement``<``ButtonStateColors``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createEmbossEColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createEmbossNColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createEmbossSColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createEmbossWColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ButtonStateColors>`
  `createEnabled(ButtonStateColors value)`
  Create an instance of `JAXBElement``<``ButtonStateColors``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createErrorBorderColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createHeaderBackgroundColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createHeaderLinkColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createHeaderTextColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `History`
  `createHistory()`
  Create an instance of `History`
  `jakarta.xml.bind.JAXBElement<ButtonStateColors>`
  `createHover(ButtonStateColors value)`
  Create an instance of `JAXBElement``<``ButtonStateColors``>`
  `jakarta.xml.bind.JAXBElement<HTTPServiceType>`
  `createHTTPServiceAdminAPI(HTTPServiceType value)`
  Create an instance of `JAXBElement``<``HTTPServiceType``>`
  `HTTPServices`
  `createHTTPServices()`
  Create an instance of `HTTPServices`
  `HTTPServiceType`
  `createHTTPServiceType()`
  Create an instance of `HTTPServiceType`
  `jakarta.xml.bind.JAXBElement<HTTPServiceType>`
  `createHTTPServiceUserAPI(HTTPServiceType value)`
  Create an instance of `JAXBElement``<``HTTPServiceType``>`
  `jakarta.xml.bind.JAXBElement<HTTPServiceType>`
  `createHTTPServiceUserView(HTTPServiceType value)`
  Create an instance of `JAXBElement``<``HTTPServiceType``>`
  `Logs`
  `createLogs()`
  Create an instance of `Logs`
  `Mail`
  `createMail()`
  Create an instance of `Mail`
  `MailAuthentication`
  `createMailAuthentication()`
  Create an instance of `MailAuthentication`
  `MailTransportType`
  `createMailTransportType()`
  Create an instance of `MailTransportType`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createMainBackgroundColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createMainLinkColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createMainMessageBorderColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createMainTableBorderColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createMainTextColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `Metrics`
  `createMetrics()`
  Create an instance of `Metrics`
  `OpenTelemetry`
  `createOpenTelemetry()`
  Create an instance of `OpenTelemetry`
  `PasswordExpiration`
  `createPasswordExpiration()`
  Create an instance of `PasswordExpiration`
  `jakarta.xml.bind.JAXBElement<ButtonStateColors>`
  `createPressed(ButtonStateColors value)`
  Create an instance of `JAXBElement``<``ButtonStateColors``>`
  `RateLimiting`
  `createRateLimiting()`
  Create an instance of `RateLimiting`
  `Sessions`
  `createSessions()`
  Create an instance of `Sessions`
  `jakarta.xml.bind.JAXBElement<SMTPType>`
  `createSMTP(SMTPType value)`
  Create an instance of `JAXBElement``<``SMTPType``>`
  `jakarta.xml.bind.JAXBElement<SMTPSType>`
  `createSMTPS(SMTPSType value)`
  Create an instance of `JAXBElement``<``SMTPSType``>`
  `SMTPSType`
  `createSMTPSType()`
  Create an instance of `SMTPSType`
  `jakarta.xml.bind.JAXBElement<SMTPTLSType>`
  `createSMTPTLS(SMTPTLSType value)`
  Create an instance of `JAXBElement``<``SMTPTLSType``>`
  `SMTPTLSType`
  `createSMTPTLSType()`
  Create an instance of `SMTPTLSType`
  `SMTPType`
  `createSMTPType()`
  Create an instance of `SMTPType`
  `jakarta.xml.bind.JAXBElement<ColorType>`
  `createTextColor(ColorType value)`
  Create an instance of `JAXBElement``<``ColorType``>`
  `Traces`
  `createTraces()`
  Create an instance of `Traces`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.io7m.idstore.server.service.configuration.jaxb

- ## Method Details

  - ### createColorType

    public ColorType createColorType()
    Create an instance of `ColorType`

  - ### createButtonStateColors

    public ButtonStateColors createButtonStateColors()
    Create an instance of `ButtonStateColors`

  - ### createButtonColors

    public ButtonColors createButtonColors()
    Create an instance of `ButtonColors`

  - ### createColorScheme

    public ColorScheme createColorScheme()
    Create an instance of `ColorScheme`

  - ### createBranding

    public Branding createBranding()
    Create an instance of `Branding`

  - ### createSMTPType

    public SMTPType createSMTPType()
    Create an instance of `SMTPType`

  - ### createSMTPTLSType

    public SMTPTLSType createSMTPTLSType()
    Create an instance of `SMTPTLSType`

  - ### createSMTPSType

    public SMTPSType createSMTPSType()
    Create an instance of `SMTPSType`

  - ### createMailAuthentication

    public MailAuthentication createMailAuthentication()
    Create an instance of `MailAuthentication`

  - ### createMail

    public Mail createMail()
    Create an instance of `Mail`

  - ### createHistory

    public History createHistory()
    Create an instance of `History`

  - ### createHTTPServiceType

    public HTTPServiceType createHTTPServiceType()
    Create an instance of `HTTPServiceType`

  - ### createHTTPServices

    public HTTPServices createHTTPServices()
    Create an instance of `HTTPServices`

  - ### createSessions

    public Sessions createSessions()
    Create an instance of `Sessions`

  - ### createDatabaseOwner

    public DatabaseOwner createDatabaseOwner()
    Create an instance of `DatabaseOwner`

  - ### createDatabaseUser

    public DatabaseUser createDatabaseUser()
    Create an instance of `DatabaseUser`

  - ### createDatabase

    public Database createDatabase()
    Create an instance of `Database`

  - ### createPasswordExpiration

    public PasswordExpiration createPasswordExpiration()
    Create an instance of `PasswordExpiration`

  - ### createRateLimiting

    public RateLimiting createRateLimiting()
    Create an instance of `RateLimiting`

  - ### createMetrics

    public Metrics createMetrics()
    Create an instance of `Metrics`

  - ### createTraces

    public Traces createTraces()
    Create an instance of `Traces`

  - ### createLogs

    public Logs createLogs()
    Create an instance of `Logs`

  - ### createOpenTelemetry

    public OpenTelemetry createOpenTelemetry()
    Create an instance of `OpenTelemetry`

  - ### createConfiguration

    public Configuration createConfiguration()
    Create an instance of `Configuration`

  - ### createMailTransportType

    public MailTransportType createMailTransportType()
    Create an instance of `MailTransportType`

  - ### createErrorBorderColor

    public jakarta.xml.bind.JAXBElement<ColorType> createErrorBorderColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createHeaderBackgroundColor

    public jakarta.xml.bind.JAXBElement<ColorType> createHeaderBackgroundColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createHeaderLinkColor

    public jakarta.xml.bind.JAXBElement<ColorType> createHeaderLinkColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createHeaderTextColor

    public jakarta.xml.bind.JAXBElement<ColorType> createHeaderTextColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createMainBackgroundColor

    public jakarta.xml.bind.JAXBElement<ColorType> createMainBackgroundColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createMainLinkColor

    public jakarta.xml.bind.JAXBElement<ColorType> createMainLinkColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createMainMessageBorderColor

    public jakarta.xml.bind.JAXBElement<ColorType> createMainMessageBorderColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createMainTableBorderColor

    public jakarta.xml.bind.JAXBElement<ColorType> createMainTableBorderColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createMainTextColor

    public jakarta.xml.bind.JAXBElement<ColorType> createMainTextColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createTextColor

    public jakarta.xml.bind.JAXBElement<ColorType> createTextColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createBodyColor

    public jakarta.xml.bind.JAXBElement<ColorType> createBodyColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createBorderColor

    public jakarta.xml.bind.JAXBElement<ColorType> createBorderColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createEmbossEColor

    public jakarta.xml.bind.JAXBElement<ColorType> createEmbossEColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createEmbossSColor

    public jakarta.xml.bind.JAXBElement<ColorType> createEmbossSColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createEmbossWColor

    public jakarta.xml.bind.JAXBElement<ColorType> createEmbossWColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createEmbossNColor

    public jakarta.xml.bind.JAXBElement<ColorType> createEmbossNColor(ColorType value)
    Create an instance of `JAXBElement``<``ColorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ColorType``>`

  - ### createEnabled

    public jakarta.xml.bind.JAXBElement<ButtonStateColors> createEnabled(ButtonStateColors value)
    Create an instance of `JAXBElement``<``ButtonStateColors``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ButtonStateColors``>`

  - ### createDisabled

    public jakarta.xml.bind.JAXBElement<ButtonStateColors> createDisabled(ButtonStateColors value)
    Create an instance of `JAXBElement``<``ButtonStateColors``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ButtonStateColors``>`

  - ### createPressed

    public jakarta.xml.bind.JAXBElement<ButtonStateColors> createPressed(ButtonStateColors value)
    Create an instance of `JAXBElement``<``ButtonStateColors``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ButtonStateColors``>`

  - ### createHover

    public jakarta.xml.bind.JAXBElement<ButtonStateColors> createHover(ButtonStateColors value)
    Create an instance of `JAXBElement``<``ButtonStateColors``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ButtonStateColors``>`

  - ### createSMTP

    public jakarta.xml.bind.JAXBElement<SMTPType> createSMTP(SMTPType value)
    Create an instance of `JAXBElement``<``SMTPType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SMTPType``>`

  - ### createSMTPTLS

    public jakarta.xml.bind.JAXBElement<SMTPTLSType> createSMTPTLS(SMTPTLSType value)
    Create an instance of `JAXBElement``<``SMTPTLSType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SMTPTLSType``>`

  - ### createSMTPS

    public jakarta.xml.bind.JAXBElement<SMTPSType> createSMTPS(SMTPSType value)
    Create an instance of `JAXBElement``<``SMTPSType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SMTPSType``>`

  - ### createHTTPServiceAdminAPI

    public jakarta.xml.bind.JAXBElement<HTTPServiceType> createHTTPServiceAdminAPI(HTTPServiceType value)
    Create an instance of `JAXBElement``<``HTTPServiceType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``HTTPServiceType``>`

  - ### createHTTPServiceUserAPI

    public jakarta.xml.bind.JAXBElement<HTTPServiceType> createHTTPServiceUserAPI(HTTPServiceType value)
    Create an instance of `JAXBElement``<``HTTPServiceType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``HTTPServiceType``>`

  - ### createHTTPServiceUserView

    public jakarta.xml.bind.JAXBElement<HTTPServiceType> createHTTPServiceUserView(HTTPServiceType value)
    Create an instance of `JAXBElement``<``HTTPServiceType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``HTTPServiceType``>`